about summary refs log tree commit diff
path: root/test/pamdepth.test
diff options
context:
space:
mode:
Diffstat (limited to 'test/pamdepth.test')
-rwxr-xr-xtest/pamdepth.test8
1 files changed, 4 insertions, 4 deletions
diff --git a/test/pamdepth.test b/test/pamdepth.test
index 7ff73f41..d97992a1 100755
--- a/test/pamdepth.test
+++ b/test/pamdepth.test
@@ -30,11 +30,11 @@ echo "Error messages should appear below the line." 1>&2
 echo "-----------------------------------------------------------" 1>&2
 
 pamdepth 0 testgrid.pbm > ${test_out} || \
-  printf "Expected failure 1"
-  test -s ${test_out}; echo " "$?
+  printf "Expected failure 1 "
+  test -s ${test_out} && echo "unexpected output" || echo "(no output)"
   rm -f ${test_out}
 
 pamdepth 65536 testimg.ppm > ${test_out} || \
-  printf "Expected failure 2"
-  test -s ${test_out}; echo " "$?
+  printf "Expected failure 2 "
+  test -s ${test_out} && echo "unexpected output" || echo "(no output)"
   rm -f ${test_out}